Package: groovy.org.codenarc.rule.concurrency

## [Groovy] Class StaticDateFormatFieldRule

- groovy.org.codenarc.rule.concurrency.StaticDateFormatFieldRule

- DateFormat objects should not be used as static fields. DateFormat are inherently unsafe for multithreaded use. Sharing a single instance across thread boundaries without proper synchronization will result in erratic behavior of the application.

  Authors:
    'Hamlet D'Arcy'
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority